import request from '@/utils/request'

// 查询订单详情列表
export function listLiveLiveorderitem(query) {
  return request({
    url: '/live/live_order_item/list',
    method: 'get',
    params: query
  })
}

// 查询订单详情详细
export function getLiveLiveorderitem(id) {
  return request({
    url: '/live/live_order_item/' + id,
    method: 'get'
  })
}

// 新增订单详情
export function addLiveLiveorderitem(data) {
  return request({
    url: '/live/live_order_item',
    method: 'post',
    data: data
  })
}

// 修改订单详情
export function updateLiveLiveorderitem(data) {
  return request({
    url: '/live/live_order_item',
    method: 'put',
    data: data
  })
}

// 删除订单详情
export function delLiveLiveorderitem(id) {
  return request({
    url: '/live/live_order_item/' + id,
    method: 'delete'
  })
}

// 导出订单详情
export function exportLiveLiveorderitem(query) {
  return request({
    url: '/live/live_order_item/export',
    method: 'post',
    params: query
  })
}
